Subject: Re: 23.3; vc-git-grep doesn't link to files when git grep uses colour

From: Wilfred Hughes <[email-masked]>
Date: Mon, 5 Sep 2011 13:43:17 +0100

I built revision 105661, then ran $ src/emacs -Q but I did not get search
highlighting with vc-git-grep. File name highlighting works fine. My git
version is:

$ git --version
git version 1.7.6.1

On 5 September 2011 09:28, Juri Linkov <[email-masked]> wrote:

> > Compared with using grep, I note that my search term 'backend' is not
> > highlighted. I don't know if that's related.
>
> git-grep emits "\033[1;31m" escape sequences unlike expected "\033[01;31m"
> as GNU Grep does.  I fixed this in the Bzr repo, so now search terms can be
> highlighted by `vc-git-grep'.  Could you please try the fixed version now?
>